Public Member Functions | Protected Attributes

# CargoDelivery Class Reference

Action of final delivery of cargo. More...

`#include <cargoaction.h>`

Inheritance diagram for CargoDelivery:

## Public Member Functions
| CargoDelivery (VehicleCargoList *source, uint max_move, CargoPayment *payment)
bool | operator() (CargoPacket *cp)
| Delivers some cargo.
## Protected Attributes
CargoPayment * | payment
| Payment object where payments will be registered.

## Detailed Description

Action of final delivery of cargo.

Definition at line 41 of file cargoaction.h.

## Member Function Documentation

bool CargoDelivery::operator() | ( | CargoPacket * | cp | ) |

Delivers some cargo.

Parameters:

  | cp | Packet to be delivered.

Returns:
  True if the packet was completely delivered, false if only part of it was.

Reimplemented from CargoRemoval< VehicleCargoList >.

Definition at line 106 of file cargoaction.cpp.

References CargoList< VehicleCargoList, CargoPacketList >::MTA_DELIVER, CargoPayment::PayFinalDelivery(), payment, CargoRemoval< VehicleCargoList >::Postprocess(), CargoRemoval< VehicleCargoList >::Preprocess(), VehicleCargoList::RemoveFromMeta(), and CargoRemoval< VehicleCargoList >::source.

The documentation for this class was generated from the following files:

- src/cargoaction.h
- src/cargoaction.cpp